lkml.org 
[lkml]   [2001]   [Jan]   [2]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: 2.4.0-prerelease problems (it corrupted my ext2 filesystem)
Vedran Rodic wrote:
> On Tue, Jan 02, 2001 at 02:38:07PM +0100, Daniel Phillips wrote:
> > Could you provide details of your configuration?
>
> I put the complete kernel log of that session at http://quark.fsb.hr/~vrodic/kern.log
>
> I scanned my swap device several times today with badblocks -w, and
> it didn't show any errors. I also did some RAM tests with memtest86,
> again with no errors.
>
> If you need more details, just ask.

Are you still running 2.4.0-pre? Can you reproduce the problem? Does
the problem occur only with v4l? Did you back up your files?

BTW, while spelunking the swap code I noticed this oddity:

pte_t pte_mkdirty(pte_t pte) { (pte).pte_low |= _PAGE_DIRTY; return
pte; }

and similarly for 10 or so other functions - these functions just return
the passed pte, and reassign it to the pte orginally passed. :-/ This
dates from version 1.2.13.

--
Daniel
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 12:52    [W:0.019 / U:25.696 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site